Delete beneficiary
Bearer ds_live_ / ds_test_DELETE
/api/v1/merchant/beneficiaries/{id}Removes a saved beneficiary.
Language
curl -X DELETE "https://finaldatasub.com/api/v1/merchant/beneficiaries/52" \
-H "Authorization: Bearer ds_live_YOUR_KEY" \
-H "Accept: application/json"Authentication
Send your secret API key in the header. Authorization: Token … and X-API-Key: … are also accepted.
| Header | Value | Required |
|---|---|---|
| Authorization | Bearer ds_live_YOUR_KEY | Yes |
| Accept | application/json | Recommended |
Authentication failures (401 UNAUTHORIZED, 403 IP_NOT_ALLOWED / ACCOUNT_SUSPENDED / API_ACCESS_NOT_APPROVED, 429 RATE_LIMITED) are listed in Authentication.
Parameters
Responses
200 OK — Removed · 404 Not Found — Not found
{
"success": true,
"message": "Beneficiary removed."
}Errors
Errors specific to this endpoint, in addition to the authentication and validation errors common to every request.
| Code | HTTP | When |
|---|---|---|
| — | 404 | No beneficiary with this id on your account ({success: false, message} body). |